searchData={"items":[{"type":"module","title":"Dot","doc":"Converts a string in [DOT Language](https://graphviz.org/doc/info/lang.html) to an SVG string.","ref":"Dot.html"},{"type":"function","title":"Dot.to_svg/1","doc":"","ref":"Dot.html#to_svg/1"},{"type":"extras","title":"Convert DOT to SVG","doc":"<!-- livebook:{\"persist_outputs\":true} -->\n\n# Convert DOT to SVG\n\n```elixir\nMix.install([\n  {:libgraph, \"~> 0.16.0\"},\n  {:kino, \"~> 0.12.3\"},\n  {:ex_dot, \"~> 0.1.0\"}\n  # {:ex_dot, github: \"chgeuer/ex_dot\"}\n  # {:ex_dot, path: \"/github/chgeuer/ex_dot\"},\n  # {:rustler, \"~> 0.31.0\"}\n])\n```","ref":"demo.html"},{"type":"extras","title":"Render a DOT graph - Convert DOT to SVG","doc":"This demo uses the https://crates.io/crates/layout-rs crate (src: https://github.com/nadavrot/layout), wraps it using Rustler, and allows to convert text in [DOT Language](https://graphviz.org/doc/info/lang.html) to SVG.\n\n```elixir\n\"\"\"\ndigraph R {\n  node [shape=record];\n\n  { rank=same rA sA tA }\n  { rank=same uB vB wB }\n\n\n   rA -> sA;\n   sA -> vB;\n   t  -> rA;\n   uB -> vB;\n   wB -> u;\n   wB -> tA;\n}\n\"\"\"\n|> Dot.to_svg()\n|> Kino.Image.new(:svg)\n```","ref":"demo.html#render-a-dot-graph"}],"content_type":"text/markdown"}